# eric3.VCS.cvsPackage.DiffDialog

Module implementing a dialog to show the output of the cvs diff command process.

### Classes

CvsDiffDialog | Class implementing a dialog to show the output of the cvs diff command process.

### Functions

None

## CvsDiffDialog

Class implementing a dialog to show the output of the cvs diff command process.

### Derived from

LogForm

### Methods

CvsDiffDialog | Constructor
closeEvent | Private slot implementing a close event handler.
handleProcessExited | Private slot to handle the processExited signal.
handleReadStderr | Private slot to handle the readyReadStderr signal.
handleReadStdout | Private slot to handle the readyReadStdout signal.
handleSave | Private slot to handle the Save button press.
keyPressEvent | Protected slot to handle a key press event.
passwordMode | Private slot to handle the password checkbox toggled.
returnPressed | Private slot to handle the press of the return key in the input field.
sendInput | Private slot to send the input to the subversion process.
start | Public slot to start the cvs diff command.

### CvsDiffDialog (Constructor)

CvsDiffDialog(vcs, parent = None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

### CvsDiffDialog.closeEvent

closeEvent(e)

Private slot implementing a close event handler.

e
  close event (QCloseEvent)

### CvsDiffDialog.handleProcessExited

handleProcessExited()

Private slot to handle the processExited signal.

After the process has exited, the contents pane is colored.

### CvsDiffDialog.handleReadStderr

handleReadStderr()

Private slot to handle the readyReadStderr signal.

It reads the error output of the process and inserts it into the error pane.

### CvsDiffDialog.handleReadStdout

handleReadStdout()

Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the contents pane.

### CvsDiffDialog.handleSave

handleSave()

Private slot to handle the Save button press.

It saves the diff shown in the dialog to a file in the local filesystem.

### CvsDiffDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

### CvsDiffDialog.passwordMode

passwordMode(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

### CvsDiffDialog.returnPressed

returnPressed()

Private slot to handle the press of the return key in the input field.

### CvsDiffDialog.sendInput

sendInput()

Private slot to send the input to the subversion process.

### CvsDiffDialog.start

start(fn, versions=None)

Public slot to start the cvs diff command.

fn
  filename to be diffed (string)
versions
  list of versions to be diffed (list of 2 int or None)

Up